PaidGoods
API referenceAnti fraud

Anti-fraud overview: blocks, block rate, coverage and shield status

GET
/v1/stores/{storeId}/anti-fraud/overview

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/anti-fraud/overview"
{  "days": -9007199254740991,  "blocked": -9007199254740991,  "allowed": -9007199254740991,  "previousBlocked": -9007199254740991,  "previousAllowed": -9007199254740991,  "blockRate": 0,  "previousBlockRate": 0,  "activeRules": {    "black": -9007199254740991,    "white": -9007199254740991  },  "ruleLimit": -9007199254740991,  "chart": [    {      "date": "string",      "count": -9007199254740991    }  ],  "topReasons": [    {      "kind": "email",      "label": "string",      "count": -9007199254740991    }  ],  "coverage": [    {      "kind": "email",      "rules": -9007199254740991,      "blocked": -9007199254740991    }  ],  "logTotal": -9007199254740991,  "velocity": {    "maxCheckoutsPerIpPerHour": -9007199254740991,    "maxCheckoutsPerEmailPerHour": -9007199254740991,    "hits": -9007199254740991  },  "entitlements": {    "advanced_blocking": true,    "regex_rules": true,    "velocity_rules": true  },  "signals": {    "torExitNodes": -9007199254740991,    "torListUpdatedAt": "string",    "vpnNetworks": -9007199254740991,    "geoIpDatabase": true  }}